package com.steerinfo.ems.rttable.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="null")
public class Rttable implements IBasePO<BigDecimal> {
    /**
     * ID随机(ID,DECIMAL,38)
     */
    @ApiModelProperty(value="ID随机",required=true)
    private BigDecimal id;

    /**
     * MOX数据库唯一ID号（EMS+分厂+工序+介质+仪表）(ALTID,VARCHAR,30)
     */
    @ApiModelProperty(value="MOX数据库唯一ID号（EMS+分厂+工序+介质+仪表）",required=true)
    private String altid;

    /**
     * 数据(RTVALUE,DECIMAL,0)
     */
    @ApiModelProperty(value="数据",required=false)
    private BigDecimal rtvalue;

    /**
     * 报警(ALARMSTATUS,DECIMAL,0)
     */
    @ApiModelProperty(value="报警",required=false)
    private BigDecimal alarmstatus;

    /**
     * 通讯状态(COMMSTATUS,DECIMAL,0)
     */
    @ApiModelProperty(value="通讯状态",required=false)
    private BigDecimal commstatus;

    /**
     * 更新时间(UPDATETIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="更新时间",required=false)
    private Date updatetime;

    /**
     * EMS+分厂+工序+介质+仪表(NOTE,VARCHAR,200)
     */
    @ApiModelProperty(value="EMS+分厂+工序+介质+仪表",required=false)
    private String note;

    private static final long serialVersionUID = 1L;

    public BigDecimal getId() {
        return id;
    }

    public void setId(BigDecimal id) {
        this.id = id;
    }

    public String getAltid() {
        return altid;
    }

    public void setAltid(String altid) {
        this.altid = altid == null ? null : altid.trim();
    }

    public BigDecimal getRtvalue() {
        return rtvalue;
    }

    public void setRtvalue(String rtvalue) {
        this.rtvalue = new BigDecimal(rtvalue);
    }

    public BigDecimal getAlarmstatus() {
        return alarmstatus;
    }

    public void setAlarmstatus(String alarmstatus) {
        this.alarmstatus = new BigDecimal(alarmstatus);
    }

    public BigDecimal getCommstatus() {
        return commstatus;
    }

    public void setCommstatus(String commstatus) {
        this.commstatus = new BigDecimal(commstatus);
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note == null ? null : note.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", altid=").append(altid);
        sb.append(", rtvalue=").append(rtvalue);
        sb.append(", alarmstatus=").append(alarmstatus);
        sb.append(", commstatus=").append(commstatus);
        sb.append(", updatetime=").append(updatetime);
        sb.append(", note=").append(note);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}